import {
  world,
  Block,
  GameMode,
  EquipmentSlot,
  MolangVariableMap, ItemStack,
  Player,
  system
} from "@minecraft/server";
let map = new MolangVariableMap();
const stopSound = (event) => {
    const { block, player } = event;
    if (!player) return;
    player.dimension.runCommand("stopsound @a record.ultimate_battle");
    block.dimension.spawnItem(new ItemStack("classic:record_ultimate_battle",1), block.above().center());
  };
export class ClassixPvZFlowerPot {
  onTick(event) {
    const block = event.block;
    block.setPermutation(block.permutation.withState("classic:wet_state", 0)   );
  } 
  
};
export class ClassixPvZJukebox {
  onPlayerDestroy(event) {
  	stopSound(event);
  };
  onPlayerInteract(event) {
    stopSound(event);
    event.block.setType("minecraft:jukebox");
  };
  onTick(event) {
    const block = event.block;
    block.dimension.spawnParticle("classic:note_particle", block.above().center())
  } 
}